# 数据标准化接口文档

## 模板案例

参考实体类 Example

| 字段 | 类型   |
| ---- | ------ |
| id   | int    |
| name | string |
| age  | int    |

### 查询（请参考[通用查询](/utils/query.md)）

### 新增

请求地址

```text
/example/create
```

请求参数

```json
{
    "id": "1",
    "name": "test",
    "age": "23"
}
```

返回结果：

正确JSON示例

```json
{
    "result": "success",
    "message": null,
    "data": {
        "id": "1"
    }
}
```

错误JSON示例

```json
{
    "result": "success",
    "message": "错误信息,如果接口发生错误会返回该字段"
}
```



### 更新

请求地址

```json
POST: /example/update
```

请求参数

```json
{
    "id": "1",
    "name": "test",
    "age": "23"
}
```

返回结果：

正确JSON示例

```json
{
    "result": "success",
    "message": null,
    "data": {
        "id": "123456"
    }
}
```

错误JSON示例

```json
{
    "result": "success",
    "message": "错误信息,如果接口发生错误会返回该字段"
}
```



### 删除

请求地址

```json
POST: /example/delete
```

请求参数

```json
{
    "id": "1"
}
```

返回结果：

正确JSON示例

```json
{
    "result": "success",
    "message": null,
    "data": {
        "id": "1"
    }
}
```

错误JSON示例

```json
{
    "result": "success",
    "message": "错误信息,如果接口发生错误会返回该字段"
}
```

### 

## 系统接口

### （注：condition 为 query，create，update，delete）

### （注：为了读写分离，serviceid还会变动，请不要写死）

### （注：userId、groupCode、projectId必须传值，appId可以为空）

#### 请求方法：POST

#### 字典类型

请求路径：/dt/type/{condition}?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id

请求参数

```json
查询字段：
{
  "id": "dev_1",
  "groupCode": "PG",
  "type": "major",
  "name": "专业",
  "description": "Testing",
  "status": 1,
  "createTime": 1602434380000,
  "createUser": "wdl",
  "updateTime": 1602705427000,
  "updateUser": "wdl",
  "remark": "Testing"
}
新增：
{
  "type": "major",//非空
  "name": "专业",//非空
  "description": "Testing",
  "remark": "Testing"
}
更新：
{
  "id": "dev_1",//非空
  "type": "major",//非空
  "name": "专业",//非空
  "description": "Testing",
  "remark": "Testing"
}
删除：
{
  "id": ""
}
```

#### 字典数据

请求路径：/dt/data/query/{condition}?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id

请求参数

```json
查询字段：
{
  "id": "1",
  "dictTypeId": "1",
  "parentId": "1",
  "type": "sex",
  "code": "A",
  "label": "man",
  "status": 0,
  "createTime": 1602429367000,
  "createUser": "test",
  "updateTime": 1602710467000,
  "updateUser": "test",
  "remark": "测试数据"
}
新增：
{
  "dictTypeId": "1",//非空
  "parentId": "1",
  "type": "sex",//非空
  "code": "A",//非空
  "label": "man",//非空
  "remark": "测试数据"
}
更新：
{
  "id": "1",//非空
  "dictTypeId": "1",//非空
  "parentId": "1",
  "type": "sex",//非空
  "code": "A",//非空
  "label": "man",//非空
  "remark": "测试数据"
}
删除：
{
  "id": ""
}
```

#### 映射表替代字典数据的数据集查询

请求路径：/dt/data/result

请求参数

```json
{
    "groupCode": "WD",//集团code
    "type": "sex"//字典类型
}
```

#### 字典数据映射

请求路径：/dt/data/map/{condition}?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id

请求参数

```json
查询字段：
{
  "id": "1",
  "dictDataId": "1",
  "type": "sex",
  "groupCode": "WD",
  "targetCode": "0",
  "label": "man",
  "code": "A",
  "status": 1,
  "createTime": 1602429745000,
  "createUser": "test",
  "updateTime": 1602710687000,
  "updateUser": "test",
  "remark": "测试数据"
}
新增：
{
  "dictDataId": "1",//非空
  "type": "sex",//非空
  "groupCode": "WD",//非空
  "targetCode": "0",//非空
  "label": "man",//非空
  "code": "A",//非空
  "remark": "测试数据"
}
更新：
{
  "id": "1",//非空
  "dictDataId": "1",//非空
  "type": "sex",//非空
  "groupCode": "WD",//非空
  "targetCode": "0",//非空
  "label": "man",//非空
  "code": "A",//非空
  "remark": "测试数据"
}
删除：
{
  "id": ""
}
```







