# 人员组织权限接口文档

## 模板案例

参考实体类 Example

| 字段 | 类型   |
| ---- | ------ |
| id   | int    |
| name | string |
| age  | int    |

### 查询（请参考[通用查询](/utils/query.md)）

### 新增

请求地址

```text
/example/create
```

请求参数

```json
{
    "id": "1",
    "name": "test",
    "age": "23"
}
```

返回结果：

正确JSON示例

```json
{
    "result": "success",
    "message": null,
    "data": {
        "id": "1"
    }
}
```

错误JSON示例

```json
{
    "result": "success",
    "message": "错误信息,如果接口发生错误会返回该字段"
}
```



### 更新

请求地址

```json
POST: /example/update
```

请求参数

```json
{
    "id": "1",
    "name": "test",
    "age": "23"
}
```

返回结果：

正确JSON示例

```json
{
    "result": "success",
    "message": null,
    "data": {
        "id": "123456"
    }
}
```

错误JSON示例

```json
{
    "result": "success",
    "message": "错误信息,如果接口发生错误会返回该字段"
}
```



### 删除

请求地址

```json
POST: /example/delete
```

请求参数

```json
{
    "id": "1"
}
```

返回结果：

正确JSON示例

```json
{
    "result": "success",
    "message": null,
    "data": {
        "id": "1"
    }
}
```

错误JSON示例

```json
{
    "result": "success",
    "message": "错误信息,如果接口发生错误会返回该字段"
}
```

### 

## 系统接口

### （注：condition 为 query，create，update，delete）

### （注：为了读写分离，serviceid还会变动，请不要写死）

### （注：userId、groupCode、projectId必须传值，appId可以为空）

#### 请求方法：POST

#### 集团（只提供查询接口）

请求路径：/group/{condition}?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id

请求参数：

```json
查询字段：
{
  "id": "1",
  "code": "WD",
  "name": "万达",
}
```

#### 公司

请求路径：/company/{condition}?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id

请求参数：

```json
新增：
{
  "code": "WD_CP_01",//非空
  "name": "万达测试1",//非空
  "parentId": "1",//非空
  "remark": "测试数据",
  "projects": [
    {"id": "1"},
    {"id": "3"}
  ]//projects 给公司配置项目的id
}
更新（注：全量更新）：
{
  "id": "1",//非空
  "code": "WD_CP_01",//非空
  "name": "万达测试1",//非空
  "parentId": "2",//非空
  "remark": "测试数据",
  "projects": [
    {"id": "1"},
    {"id": "3"}
  ]//projects 给公司配置项目的id
}
删除：
{
  "id": "1"
}
```
#### 项目

请求路径：/project/{condition}?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id

请求参数：

```json
新增：
{
  "id": "3",//非空，业务维护项目Id字段
  "name": "测试项目3",//非空
  "remark": "测试数据"
}
更新（注：全量更新）：
{
  "id": "3",//非空
  "name": "测试项目3",//非空
  "remark": "测试数据"
}
删除：
{
  "id": "1"
}
```
#### 人员账号

请求路径：/user/{condition}?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id

请求参数：

```json
新增：
{
  "name": "King",
  "username": "king",
  "password": "123456",
  "gender": 1,
  "phone": "13399998888",
  "mail": "test@p.com",
  "birthday": 1602635405000,
  "headPortrait": "test_url",
  "otherAccount": "test_other",
  "userFrom": "test_0",
  "isAdmin": "0",
  "remark": "测试数据"
}
更新（注：全量更新）：
{
  "id": "1",
  "name": "King",
  "username": "king",
  "password": "123456",
  "gender": 1,
  "phone": "13399998888",
  "mail": "test@p.com",
  "birthday": 1602635405000,
  "headPortrait": "test_url",
  "otherAccount": "test_other",
  "userFrom": "test_0",
  "isAdmin": "0",
  "remark": "测试数据"
}
删除：
{
  "id": "1"
}
```
#### 部门

请求路径：/dept/{condition}?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id

请求参数：

```json
新增：
{
  "deptClassifyCode": "DEV_DATA",//非空
  "code": "DEV_DMP",//建议非空
  "name": "数据中台",//非空
  "companyId": "1",//非空
  "parentId": "0",//“0”表示顶级部门,非空
  "resourceFrom": "0",//非空
  "manager": "admin",
  "remark": "测试数据"
}
更新（注：全量更新）：
{
  "id": "1",//非空
  "deptClassifyCode": "DEV_DATA",//非空
  "code": "DEV_DMP",//建议非空
  "name": "数据中台",//非空
  "companyId": "1",//非空
  "parentId": "0",//非空
  "resourceFrom": "0",//非空
  "manager": "admin",
  "remark": "测试数据"
}
删除：
{
  "id": "1"
}
```

#### 部门分类

请求路径： /dept/classify/{condition}?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id

请求参数：

```json
新增：
{
  "code": "DEV",//非空
  "name": "开发",//非空
  "parentId": "0",
  "orderNum": "1",
  "remark": "测试数据"
}
更新（注：全量更新）：
{
  "id": "1",//非空
  "code": "DEV",//非空
  "name": "开发",//非空
  "parentId": "0",
  "orderNum": "1",
  "remark": "测试数据"
}
删除：
{
  "id": "1"
}
```
#### 岗位

请求路径：/job/{condition}?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id

请求参数：

```json
新增：
{
  "code": "DEV_JAVA",//建议非空
  "name": "Java开发",//建议非空
  "groupCode": "WD",//非空
  "userId": "1",//非空
  "deptId": "1",//非空
  "jobClassifyCode": "DEV_JAVA_CLASS",//非空
  "resourceFrom": "0",
  "remark": "测试数据"
}
更新（注：全量更新）：
{
  "id": "1",//非空
  "code": "DEV_JAVA",//建议非空
  "name": "Java开发",//建议非空
  "userId": "1",//非空
  "deptId": "1",//非空
  "jobClassifyCode": "DEV_JAVA_CLASS",//非空
  "resourceFrom": "0",
  "remark": "测试数据"
}
删除：
{
  "id": "1"
}
```
#### 岗位分类

请求路径：/job/classify/{condition}?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id

请求参数：

```json
新增：
{
  "code": "DEV_JAVA_CLASS",//非空
  "name": "开发",//非空
  "orderNum": "1",
  "remark": "测试数据"
}
更新（注：全量更新）：
{
  "id": "1",//非空
  "code": "DEV_JAVA_CLASS",//非空
  "name": "开发",//非空
  "orderNum": "1",
  "remark": "测试数据"
}
删除：
{
  "id": "1"
}
```

#### 应用

请求路径：/application/{condition}?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id

请求参数：

```json
新增：
{
  "code": "DMP",//非空
  "name": "数据中台",//非空
  "category": "运维",//非空
  "appOrder": 1,//非空
  "menuIconKey": "test_icon",
  "iconKey": "test_key",
  "description": "测试des",
  "objType": "test_type",
  "remark": "测试数据"
}
更新（注：全量更新）：
{
  "id": "1",//非空
  "code": "DMP",//非空
  "name": "数据中台",//非空
  "category": "运维",//非空
  "appOrder": 1,//非空
  "menuIconKey": "test_icon",
  "iconKey": "test_key",
  "description": "测试des",
  "objType": "test_type",
  "remark": "测试数据"
}
删除：
{
  "id": "1"
}
```
#### 功能

请求路径：/function/{condition}?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id

请求参数：

```json
新增：
{
  "code": "DMP_FUNC",//非空
  "name": "数据中台功能",//非空
  "type": "test",
  "parentId": "0",
  "appId": "1",//非空
  "functionUrl": "test_url",
  "icon": "test_icon",
  "description": "test_des",
  "functionAlias": "test_alias",
  "objType": "test_type",
  "funcOrder": 1,
  "remark": "测试数据"
}
更新（注：全量更新）：
{
  "id": "1",//非空
  "code": "DMP_FUNC",//非空
  "name": "数据中台功能",//非空
  "type": "test",
  "parentId": "0",
  "appId": "1",//非空
  "functionUrl": "test_url",
  "icon": "test_icon",
  "description": "test_des",
  "functionAlias": "test_alias",
  "objType": "test_type",
  "funcOrder": 1,
  "remark": "测试数据"
}
删除：
{
  "id": "1"
}
```
#### 岗位分类与应用功能关系

请求路径：/job/classify/rel/{condition}?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id

请求参数：

```json
新增：
{
  "jobClassifyCode": "DEV_JAVA_CLASS",//非空
  "appId": "1",
  "functionId": "1",
  "remark": "测试数据"
}
更新（注：全量更新）：
{
  "id": "1",//非空
  "jobClassifyCode": "DEV_JAVA_CLASS",
  "appId": "1",
  "functionId": "1",
  "remark": "测试数据"
}
删除：
{
  "id": "1"
}
```