### 数据说明

```
1.类型定义，用于描述现实世界的对象的分类，如空间、新风机等
2.平台字典，系统内置的一组类型定义和信息点定义数据，与集团和项目无关
3.集团字典，是平台字典和集团自定义数据的并集(目前不提供集团自定义功能,若有自定义需求需联系研发处理)
4.集团方案，根据业态不同，从集团字典中筛选（订阅）特定的类型和信息点形成方案，从而过滤掉实际业务中不关注的类型和信息点，集团方案是集团字典的子集，集团所拥有的项目必须应用一个且仅有一个集团方案
5.项目字典，集团方案和项目自定义数据的并集(目前不提供项目自定义功能,若有自定义需求需联系研发处理)
6.应用订阅，根据应用关注点不同，从项目字典中筛选（订阅）特定的类型和信息点，从而过滤掉应用不关注的类型和信息点，每个应用对每个项目都需要进行订阅配置
7.
8.

```

### 数据结构

| 字段          | 数据类型 | 查询字段 | 说明                                                            |
| ------------- | -------- | -------- | --------------------------------------------------------------- |
| code          | String   | Y        | 全局唯一                                                        |
| name          | String   | Y        | 类型名称                                                        |
| aliasCode     | String   | Y        | 类型别名编码, 集团下唯一                                        |
| aliasName     | String   | Y        | 类型别名名称                                                    |
| type          | String   | Y        | 类别:平台级 common,集团级 group,项目级 project                  |
| groupCode     | String   | Y        | 集团 id, type=group 或 type=project 时该字段为集团 id,否则为"0" |
| projectId     | String   | Y        | 集团 id, type=project 时该字段为项目 id,否则为"0"               |
| majorCode     | String   | Y        | 专业编码, 上级类型是系统 or 设备时该字段有值                    |
| systemCode    | String   | Y        | 系统编码,上级类型是设备时该字段有值,值为系统类型的 code         |
| equipmentCode | String   | Y        | 设备编码,上级类型是部件时该字段有值,值为系统类型的 code         |
| parentCode    | String   | Y        | 上级类型 code                                                   |

### 查询接口

接口说明

```
1.若集团编码、方案id、项目id全部为空，则返回（符合查询条件的）平台级字典定义的类型数据
2.若集团编码不为空，则返回集团级字典定义的类型数据
3.若集团方案id不为空，则返回集团方案订阅的类型数据
4.若项目id不为空，则返回项目级字典定义的类型数据
5.若应用id不为空，则返回应用订阅的类型数据
6.若subFlag=true，则按子分类信息点将类型拆分后返回
7.不支持分页
8.如果平台级、集团级、项目级均有相同code对应的类型数据，则按优先级顺序（项目级 > 集团级 > 平台级）返回高优先级的数据
9.该接口已处理平台级、集团级、项目级三级字典逻辑，返回数据中type、groupCode、projectId三个字段可以忽略

```

请求方式

```
POST /def/class?groupCode=集团编码&schemeId=方案id&projectId=项目id&appId=应用id&subFlag=false
```

路径参数说明

| 字段      | 数据类型 | 说明                                                                                 |
| --------- | -------- | ------------------------------------------------------------------------------------ |
| groupCode | String   | 集团编码                                                                             |
| schemeId  | String   | 方案 id                                                                              |
| projectId | String   | 项目 id                                                                              |
| appId     | String   | 应用 id, 若应用不为空则必须项目 id 同时不为空                                        |
| subFlag   | Boolean  | 子分类标记,若为 true 则按子分类字段将类型拆解后返回,目前不支持指定类型进行子分类展开 |

请求体

```
{
    "criteria": {
        "code": "ACATAH"
    }
}

```

返回数据

```
{
    "result": "success",
    "data": [
        {
            "id": "3b53b2e3019811eb9ef10242ac110002",
            "code": "ACATAH",
            "objType": "equipment",
            "name": "空调机组",
            "aliasCode": "ACATAH",
            "aliasName": "空调机组",
            "type": "common",
            "groupCode": "0",
            "projectId": "0",
            "majorCode": "AC",
            "systemCode": "ACAT",
            "parentCode": "equipment"
        }
    ]
}

```
